<!--
 - Created by MarosGrajcar on 12/10/2019.
 -->

<!-- Eqt Table Children View -->
<template>

    <!--MEDIUM AND LARGE DEVICES-->
    <div class="slds-grid slds-wrap slds-card slds-show_medium">


        <template if:true={loading}>
            <lightning-spinner class="slds-is-relative slds-align--absolute-center slds-p-around--small"
                               alternative-text="Loading" size="medium"></lightning-spinner>
        </template>

        <template if:false={loading}>

            <!--EQUIPMENT NAME AND ICON-->
            <div class="slds-size--1-of-12 slds-truncate slds-p-top--x-small slds-border--right slds-p-left--xx-small slds-p-bottom--x-small">
                <template if:false={isExposed}>
                    <template if:true={equipment.hasChild}>
                        <lightning-button-icon icon-name="utility:add"
                                               alternative-text="Show Child Equipments"
                                               size="x-small"
                                               data-index={equipmentIndex}
                                               data-equip={equipment.equipment.Id}
                                               onclick={openChildEquipments}>
                        </lightning-button-icon>
                    </template>
                </template>
                <template if:true={isExposed}>
                    <lightning-button-icon icon-name="utility:dash"
                                           alternative-text="Close Child Equipments"
                                           size="x-small"
                                           onclick={closeChildEquipments}>
                    </lightning-button-icon>
                </template>
                <a onclick={handleOpenEquipmentView} data-id={equipment.equipment.Id} class="slds-p-left--xx-small"
                   title={equipment.equipment.Name}>{equipment.equipment.Name}</a>
            </div>

            <!--DESCRIPTION-->
            <div class="slds-size--3-of-12 slds-truncate slds-p-top--x-small slds-border--right slds-p-left--xx-small slds-p-top--x-small slds-p-bottom--x-small">
                <template if:true={equipment.equipment.Description_of_Equipment__c}>
                    {equipment.equipment.Description_of_Equipment__c}
                </template>
                <template if:false={equipment.equipment.Description_of_Equipment__c}>
                    &nbsp;
                </template>
            </div>

            <!--MANUFACTURER-->
            <div class="slds-size--2-of-12 slds-truncate slds-p-top--x-small slds-border--right slds-p-left--xx-small slds-p-top--x-small slds-p-bottom--x-small">
                <template if:true={equipment.equipment.Manufacturer__c}>
                    {equipment.equipment.Manufacturer__c}
                </template>
                <template if:false={equipment.equipment.Manufacturer__c}>
                    &nbsp;
                </template>
            </div>

            <!--MODEL NO-->
            <div class="slds-size--2-of-12 slds-truncate slds-p-top--x-small slds-border--right slds-p-left--xx-small slds-p-top--x-small slds-p-bottom--x-small">
                <template if:true={equipment.equipment.Model_Number__c}>
                    {equipment.equipment.Model_Number__c}
                </template>
                <template if:false={equipment.equipment.Model_Number__c}>
                    &nbsp;
                </template>
            </div>

            <!--MANUFACTURER SERIAL NO-->
            <div class="slds-size--2-of-12 slds-truncate slds-p-top--x-small slds-border--right slds-p-left--xx-small slds-p-top--x-small slds-p-bottom--x-small">
                <template if:true={equipment.equipment.Manufacturer_Serial_No__c}>
                    {equipment.equipment.Manufacturer_Serial_No__c}
                </template>
                <template if:false={equipment.equipment.Manufacturer_Serial_No__c}>
                    &nbsp;
                </template>
            </div>

            <!--TAG NO-->
            <div class="slds-size--2-of-12 slds-truncate slds-p-top--x-small slds-p-left--xx-small slds-p-top--x-small slds-p-bottom--x-small">
                <template if:true={equipment.equipment.Tag_Number__c}>
                    {equipment.equipment.Tag_Number__c}
                </template>
                <template if:true={equipment.equipment.Tag_Number__c}>
                    &nbsp;
                </template>
            </div>

        </template>
    </div>

    <!--SMALL DEVICES-->
    <div class="slds-card slds-p-around--small slds-text-title_caps slds-hyphenate slds-hide_medium"
         style="background-color:#f5f5f5">

        <template if:true={loading}>
            <lightning-spinner class="slds-is-relative slds-align--absolute-center slds-p-around--small"
                               alternative-text="Loading" size="medium"></lightning-spinner>
        </template>

        <template if:false={loading}>
            <!--EQUIPMENT NAME AND ICON-->
            <div class="">
                <a onclick={handleOpenEquipmentView} data-id={equipment.equipment.Id} class="slds-p-left--xx-small"
                   title={equipment.equipment.Name}>{equipment.equipment.Name}</a>
            </div>

            <div class="slds-card slds-p-around--small">

                <!--DESCRIPTION-->
                <div class="slds-border--bottom">
                    <b style="font-size: 10px">Description of Equipment</b>
                    <p class="slds-p-vertical--xx-small">{equipment.equipment.Description_of_Equipment__c}</p>
                </div>

                <!--MANUFACTURER-->
                <div class="slds-border--bottom slds-p-top--xx-small">
                    <b style="font-size: 10px">Manufacturer</b>
                    <p class="slds-p-vertical--xx-small">{equipment.equipment.Manufacturer__c}</p>
                </div>

                <!--MODEL NO-->
                <div class="slds-border--bottom slds-p-top--xx-small">
                    <b style="font-size: 10px">Model Number</b>
                    <p class="slds-p-vertical--xx-small">{equipment.equipment.Model_Number__c}</p>
                </div>

                <!--MANUFACTURER SERIAL NO-->
                <div class="slds-border--bottom slds-p-top--xx-small">
                    <b style="font-size: 10px">Manufacturer Sr. No.</b>
                    <p class="slds-p-vertical--xx-small">{equipment.equipment.Manufacturer_Serial_No__c}</p>
                </div>

                <!--TAG NO-->
                <div class="slds-border--bottom slds-p-top--xx-small">
                    <b style="font-size: 10px">Tag Number</b>
                    <p class="slds-p-vertical--xx-small">{equipment.equipment.Tag_Number__c}</p>
                </div>

                <template if:false={isExposed}>
                    <template if:true={equipment.hasChild}>
                        <div class="slds-p-top--x-small">
                            <lightning-button-icon icon-name="utility:add"
                                                   alternative-text="Show Child Equipments"
                                                   size="x-small"
                                                   data-index={equipmentIndex}
                                                   data-equip={equipment.equipment.Id}
                                                   onclick={openChildEquipments}>
                            </lightning-button-icon>
                        </div>
                    </template>
                </template>
                <template if:true={isExposed}>
                    <div class="slds-p-top--x-small">
                        <lightning-button-icon icon-name="utility:dash"
                                               alternative-text="Close Child Equipments"
                                               size="x-small"
                                               onclick={closeChildEquipments}>
                        </lightning-button-icon>
                    </div>
                </template>

                <!--CHILD EQUIPMENT-->
                <template if:true={isExposed}>
                    <div class="slds-hide_medium">
                        <template for:each={childEquipments} for:item="eq" for:index="equipmentIndex">
                            <div key={eq.equipment.Id} class="slds-p-left--xx-small">
                                <c-eqt_table_children_view equipment={eq}
                                                           record-id={recordId}></c-eqt_table_children_view>
                            </div>
                        </template>
                    </div>
                </template>

            </div>
        </template>
    </div>

    <!--MEDIUM AND LARGE DEVICES-->
    <template if:true={isExposed}>
        <div class="slds-show_medium">
            <template for:each={childEquipments} for:item="eq" for:index="equipmentIndex">
                <div key={eq.equipment.Id} class="slds-p-left--small">
                    <c-eqt_table_children_view equipment={eq}
                                               record-id={recordId}>
                    </c-eqt_table_children_view>
                </div>
            </template>
        </div>
    </template>

</template>